#include "Engine.h"
#include <SDL3/SDL.h>

Engine::Engine() = default;
Engine::~Engine() = default;

bool Engine::Init()
{
    if (!SDL_Init(SDL_INIT_VIDEO | SDL_INIT_EVENTS))
    {
        SDL_Log("SDL_Init failed: %s", SDL_GetError());
        return false;
    }
    return true;
}

void Engine::Shutdown()
{
    SDL_Quit();
}